def example_args():
  # Note, this function is defined here instead of in schema.yaml
  # because having it defined within schema.yaml breaks kbld, jq, etc.
  args = [
    "--source=service",
    "--txt-owner-id=k8s",
    "--domain-filter=k8s.example.org",
    "--namespace=tanzu-system-service-discovery",
    "--provider=rfc2136",
    "--rfc2136-host=100.69.97.77",
    "--rfc2136-port=53",
    "--rfc2136-zone=k8s.example.org",
    "--rfc2136-tsig-secret=MTlQs3NNU=",
    "--rfc2136-tsig-secret-alg=hmac-sha256",
    "--rfc2136-tsig-keyname=externaldns-key",
    "--rfc2136-tsig-axfr",
  ]

  return args
end